from turtle import *
import time

def carre():
    color("red")
    begin_fill()
    for i in range (4) :
        down()
        forward(50)
        left(90)
    end_fill()

def triangle():
    color("red")
    begin_fill()
    down()
    forward(50)
    left(135)
    forward(70.72)
    left(135)
    forward(50)
    end_fill()

def croix():
    color("red")
    begin_fill()
    down()
    left(45)
    forward(35.36)
    up()
    x=25
    y=0
    goto(x,y)
    down()
    left(90)
    forward(35.36)
    up()
    end_fill

def ligne1():
    for i in range (1):
        carre()
        up()

def ligne2():
    for i in range (1):
        triangle()
        up()

def ligne3():
    croix()
    up()

x=0
y=0
while True :
    goto(x,y)
    ligne1()
    x=60
    y=0
    up()
    time.sleep(1)
    goto(x,y)
    down()
    ligne2()
    time.sleep(1)
    x=120
    y=0
    goto(x,y)
    ligne3()
    up()
    time.sleep(1)